## ros-jazzy-rmf-task-sequence 2.4.0

=== debian/changelog ===
ros-jazzy-rmf-task-sequence (2.4.0-3bookworm) bookworm; urgency=high

  * Add support for multiple destinations to choose from. (#101 <https://github.com/open-rmf/rmf_task/pull/101>)
  * Contributors: Arjo Chakravartyi, Grey

 -- Grey <grey@openrobotics.org>  Fri, 22 Dec 2023 00:00:00 -0000

ros-jazzy-rmf-task-sequence (2.3.3-3bookworm) bookworm; urgency=high

  * Fix edge case for task sequences (#102 <https://github.com/open-rmf/rmf_task/pull/102>)

 -- Grey <grey@openrobotics.org>  Fri, 15 Dec 2023 00:00:00 -0000

ros-jazzy-rmf-task-sequence (2.3.2-3bookworm) bookworm; urgency=high

  * Fix battery drain crash for GoToPlace (#94 <https://github.com/open-rmf/rmf_task/pull/94>)
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Thu, 10 Aug 2023 00:00:00 -0000

ros-jazzy-rmf-task-sequence (2.3.1-3bookworm) bookworm; urgency=high

  * Added ``rmf_task_sequence`` to workflows and fixed codestyle (#91 <https://github.com/open-rmf/rmf_task/pull/91>)
  * Added ``requester`` and ``request_time`` fields to ``rmf_task::Task::Booking`` (#81 <https://github.com/open-rmf/rmf_task/pull/81>)
  * Contributors: Aaron Chong

 -- Grey <grey@openrobotics.org>  Fri, 30 Jun 2023 00:00:00 -0000

ros-jazzy-rmf-task-sequence (2.3.0-3bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Thu, 08 Jun 2023 00:00:00 -0000

ros-jazzy-rmf-task-sequence (2.2.0-3bookworm) bookworm; urgency=high

  * Switch to rst changelogs
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-jazzy-rmf-task-sequence (2.1.3-3bookworm) bookworm; urgency=high

  * Fix battery consumption modeling for perform_action tasks (#76 <https://github.com/open-rmf/rmf_task/pull/76>)
  * Add missing buildtool_depend on cmake (#75 <https://github.com/open-rmf/rmf_task/pull/75>)
  * Contributors: Luca Della Vedova, Scott K Logan, Yadunund

 -- Grey <grey@openrobotics.org>  Sun, 17 Apr 2022 00:00:00 -0000

ros-jazzy-rmf-task-sequence (2.1.2-3bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Mon, 14 Nov 2022 00:00:00 -0000

ros-jazzy-rmf-task-sequence (2.1.1-3bookworm) bookworm; urgency=high

  * Add find_package/find_dependency for vendored project.
    The vendor package for nlohmann_json_schema_validator was previously
    exporting dependency info for that package, however that is not the
    recommended workflow for vendor packages which are ideally as
    transparent as possible.
  * Allow GoToPlace to know about expected future destinations (#61 <https://github.com/open-rmf/rmf_task/pull/61>)
  * Contributors: Grey, Marco A. Gutiérrez, Steven! Ragnarök

 -- Grey <grey@openrobotics.org>  Tue, 11 Oct 2022 00:00:00 -0000

ros-jazzy-rmf-task-sequence (2.1.0-3bookworm) bookworm; urgency=high

  * Allow GoToPlace to know about expected future destinations (#61 <https://github.com/open-rmf/rmf_task/pull/61>)

 -- Grey <grey@openrobotics.org>  Thu, 19 May 2022 00:00:00 -0000

ros-jazzy-rmf-task-sequence (2.0.0-3bookworm) bookworm; urgency=high

  * Support flexible task definitions (#39 <https://github.com/open-rmf/rmf_task/pull/39>)
    * Provide an implementation for phase-sequence based tasks
    * Arbitrary phases can be implemented downstream
    * A simple event-wrapping phase implementation is provided
    * Events can be composed into a tree-structure of sequential events
    * Downstream users can implement arbitrary events

 -- Grey <grey@openrobotics.org>  Mon, 14 Feb 2022 00:00:00 -0000
