=== debian/control ===
Source: ros-jazzy-rmf-task-sequence
Section: misc
Priority: optional
Maintainer: Grey <grey@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ament-cmake-uncrustify <!nocheck>, cmake, nlohmann-json3-dev, ros-jazzy-ament-cmake-catch2 <!nocheck>, ros-jazzy-nlohmann-json-schema-validator-vendor, ros-jazzy-rmf-api-msgs, ros-jazzy-rmf-task, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rmf-task-sequence
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nlohmann-json3-dev, ros-jazzy-nlohmann-json-schema-validator-vendor, ros-jazzy-rmf-api-msgs, ros-jazzy-rmf-task, ros-jazzy-ros-workspace
Description: Implementation of phase-sequence tasks for the Robotics Middleware Framework
